Loading...
Searching...
No Matches
OpenMesh::VDPM::VHierarchyNodeIndex Class Reference

Index of vertex hierarchy node. More...

`#include <OpenMesh/Tools/VDPM/VHierarchyNodeIndex.hh>`

Collaboration diagram for OpenMesh::VDPM::VHierarchyNodeIndex:
[legend]

## Public Member Functions

| VHierarchyNodeIndex (unsigned int _value)
| VHierarchyNodeIndex (unsigned int _tree_id, unsigned int _node_id, unsigned short _tree_id_bits)
bool | is_valid (unsigned short _tree_id_bits) const
unsigned int | tree_id (unsigned short _tree_id_bits) const
unsigned int | node_id (unsigned short _tree_id_bits) const
bool | operator< (const VHierarchyNodeIndex &other) const
unsigned int | value () const

## Static Public Attributes

static const VHierarchyNodeIndex | InvalidIndex = VHierarchyNodeIndex()

## Detailed Description

Index of vertex hierarchy node.

The documentation for this class was generated from the following files:

- OpenMesh/Tools/VDPM/VHierarchyNodeIndex.hh
- OpenMesh/Tools/VDPM/VHierarchyNodeIndex.cc